{% extends "baseLayout.html" %}
{% load static %}

{% block body %}
{% include "includes/sidebar-left.html" %}
<div class="bg-light content">
  <div class="page-header mt-5 ml-5">
    {% if form.firstName.value %}
    <h1>Edit Actor</h1>
    {% else %}
    <h1>New Actor</h1>
    {% endif %}
  </div>
  {% include "includes/form-errors.html" %}
  <form class="p-5" action="" method="POST">
    {% csrf_token %}

    <label for="lastName" class="col-2 col-form-label">Name</label>
    <input class="form-control" type="text" value="{{ form.lastName.value|default_if_none:"" }}" name="lastName" id="id_lastName">

    <label for="firstName" class="col-2 col-form-label">First Name</label>
    <input class="form-control" type="text" value="{{ form.firstName.value|default_if_none:"" }}" name="firstName" id="id_firstName">

    <label for="pathImg" class="col-2 col-form-label">Image</label>
    <input class="form-control" type="text" value="{{ form.pathImg.value|default_if_none:"" }}" name="pathImg" id="id_pathImg">

    <label for="bornDate" class="col-2 col-form-label">Born</label>
    <input class="form-control" type="date" value="{{ form.bornDate.value|date:"Y-m-d" }}" name="bornDate" id="id_bornDate">

    <label for="bio" class="col-2 col-form-label">Biography</label>
    <textarea class="form-control" name="bio" rows="10" cols="50">{{ form.bio.value|default_if_none:"" }}</textarea>

    <label for="country" class="col-2 col-form-label">Country</label>
    <select class="form-control" id="id_country" name="country">
      {% for c in form.country %}
      {{ c }}
      {% endfor %}
    </select>
    <label for="films" class="col-2 col-form-label">Films</label>
    <select class="form-control" name="films" required="" id="id_films" multiple="">
      {% for f in form.films %}
      {{ f }}
      {% endfor %}
    </select>
    <input class="btn btn-primary m-3" type="submit" value="Save"/>
  </form>
</div>
{% include "includes/sidebar-right.html" %}

{% endblock %}
